CREATE SEQUENCE contactid_seq start 1 increment 1 maxvalue 2147483647 minvalue 1 cache 1;

CREATE TABLE nwm_contacts (
	contactid	int4		NOT NULL DEFAULT nextval('contactid_seq'::text),
	obj_ctime	timestamp	NOT NULL default '1970-01-01 00:00:00',
	obj_mtime	timestamp	NOT NULL default '1970-01-01 00:00:00',
	owner_user	varchar(50)	NOT NULL default '',
	owner_host	varchar(50)	NOT NULL default '',
	nickname	varchar(50)	NOT NULL default '',
	surname		varchar(50)	NOT NULL default '',
	givenname	varchar(50)	NOT NULL default '',
	email1		varchar(50)	NOT NULL default '',
	email2		varchar(50)	NOT NULL default '',
	homenumber	varchar(25)	NOT NULL default '',
	worknumber	varchar(25)	NOT NULL default '',
	mobilenumber	varchar(25)	NOT NULL default '',
	faxnumber	varchar(25)	NOT NULL default '',
	PRIMARY KEY (contactid)
);
