/*
    webmail -- simple pop3/smtp web e-mail cgi
    Copyright (C) 2000-2004 Dan Cahill

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    
    Corrected Dutch Translation by: Franklin Bockstael, Propane Internetdiensten (www.propane.nl)

*/
#define HTML_CHARSET    "iso-8859-1"
#define MIME_CHARSET    "iso-8859-1"
#define ERR_NOUSER	"Gebruikersnaam en wachtwoord mogen niet leeg zijn"
#define ERR_NOHOST	"Mis de servernamen"
#define ERR_NOWINSOCK	"Winsock initialisatie mislukt"
#define ERR_DNS_POP3	"Kan de POP3 server niet vinden"
#define ERR_DNS_SMTP	"Kan de SMTP server niet vinden"
#define ERR_CON_POP3	"Kan geen verbinding maken met de POP3 server"
#define ERR_CON_SMTP	"Kan geen verbinding maken met de SMTP server"
#define ERR_NORECIPIENT	"Geen ontvanger aangegeven - Bericht is niet verzonden"
#define ERR_BIGPOST	"Fout verzoek - POST te groot"
#define ERR_BADURI	"Fout verzoek - Verkeerde URI"
#define ERR_INVALIDURI	"Fout verzoek - Verkeerde specificatie"
#define ERR_NOMESSAGE	"Fout verzoek - Een dergelijk bericht is niet aanwezig"
#define ERR_NOBOUNDARY	"Fout verzoek - Kan de MIME boundary niet vinden"
#define ERR_NOFILES	"Fout verzoek - Geen bestanden verbonden aan dit bericht"
#define ERR_NOFILE	"Fout verzoek - Bestand niet gevonden"
#define ERR_NOFRAMES	"Null Webmail heeft frames nodig"
#define LOGIN_TITLE	"Null Webmail Login"
#define LOGIN_USERNAME	"Gebruikersnaam"
#define LOGIN_PASSWORD	"Wachtwoord"
#define LOGIN_POP3HOST	"POP3 Server"
#define LOGIN_SMTPHOST	"SMTP Server"
#define LOGIN_MESSAGE \
"Welkom bij Null Webmail."
#define LOGOUT_TITLE	"Null Webmail uitloggen"
#define LOGOUT_MESSAGE \
"Sluit dit venster om ongewenste toegang tot uw emailbox te voorkomen."\
"Door het sluiten van dit venster verwijdert u tijdelijke bestanden die<BR>\n"\
"gebruikt worden om toegang te verkrijgen.<BR>\n"
#define NWM_COPYRIGHT	"&copy; 2000-2004 <A HREF=\"http://nullwebmail.sourceforge.net/\" TARGET=_blank>Dan Cahill</A>, Alle rechten voorbehouden"
#define NWM_TOP_INBOX	"INBOX"
#define NWM_TOP_COMPOSE	"BERICHT OPSTELLEN"
#define NWM_TOP_LOGOUT	"UITLOGGEN"
#define NWM_NOMAIL	"Er zijn geen berichten in uw mailbox."
#define NWM_PREVIOUS	"Terug"
#define NWM_NEXT	"Volgende"
#define NWM_FROM	"Van"
#define NWM_TO		"Naar"
#define NWM_SUBJECT	"Onderwerp"
#define NWM_DATE	"Datum"
#define NWM_SIZE	"Omvang"
#define NWM_SELECTALL	"Selecteer alle berichten"
#define NWM_DELSELECTED	"Verwijder alle geselecteerde berichten"
#define NWM_REPLY	"Antwoorden"
#define NWM_REPLYALL	"Reply All"
#define NWM_FORWARD	"Doorsturen"
#define NWM_DELETE	"Verwijderen"
#define NWM_VIEW_SRC	"Bekijk broncode"
#define NWM_ATTACHMENTS	"Bijlagen"
#define NWM_CC		"CC"
#define NWM_BCC		"BCC"
#define NWM_FILE	"Bestand"
#define NWM_REPLYLINE	"--- %s schreef:\n"
#define NWM_FWD_FROM	"> Van:       %s\n"
#define NWM_FWD_SUBJECT	"> Onderwerp: %s\n"
#define NWM_FWD_DATE	"> Datum:     %s\n"
#define NWM_SENDMAIL	"Verzend mail"
#define NWM_SENDINGFILE	"Verzend de volgende bestanden '%s' (%d bytes)<BR>\n"
#define NWM_DELETING	"Verwijder bericht %d..."
#define NWM_DELETE_OK	"succes."
#define NWM_DELETE_BAD	"mislukt."
#define NWM_MIME	"Dit is een multi-part bericht in MIME formaat."
#define NWM_SMTP_FROMOK	"Zender '%s' OK.<BR>\n"
#define NWM_SMTP_RCPTOK	"Ontvanger '%s' OK.<BR>\n"
#define NWM_SMTP_SENT	"Bericht vertuurd."
#define NWM_DELCONFIRM	"Weet u zeker dat u dit bericht wil verwijderen ?"
#define NWM_LISTCOUNT	"Lijst %d-%d van %d"
